import Model from "../Data/Model.js";
export default class BaseModel extends Model {
    constructor(options) {
        super(options.data);
        this.m_root = options.root;
        this.state.unset("root");
    }
    get root() {
        return this.m_root;
    }
}
